"""SNAPtoolbelt Help Commands"""

import logging
from textwrap import dedent
from argparse import RawDescriptionHelpFormatter

from arghandler import ArgumentHandler

from snaptoolbelt.main import main

log = logging.getLogger(__name__)


def show_help(parser, context, args):
    """Help-related commands"""
    handler = ArgumentHandler(
        usage="snap [global options] help [-h] <command> [options]",
        description=dedent("""
        SNAPtoolbelt Help
        =================

        Commonly Used Commands:
          * config
          * find
          * network
          * node
          * rpc
          * serial

        Other Commands:
          * autocomplete
          * data
          * update
          * version
        """),
        formatter_class=RawDescriptionHelpFormatter,
        add_help=False
    )
    if len(args) == 0 or args == ['-h'] or args == ['--help']:
        handler.print_help()
    else:
        args.append('--help')
        main(args)
